<div>
  <form class="needs-validation" [formGroup]="form" (ngSubmit)="submit()">
    <div class="form-group has-error">
      <label for="username">Username</label>
      <input type="text" class="form-control" id="username" name="username" formControlName="username" />
      <div *ngIf="form.get('username').invalid && form.get('username').touched" class="error-message">Please enter a valid Username</div>
    </div>
    <div class="form-group">
      <label for="password">Password</label>
      <input type="password" class="form-control" id="password" name="password" formControlName="password" />
      <div *ngIf="form.get('password').invalid && form.get('password').touched" class="error-message">Please enter a valid Password</div>
    </div>
    <div class="btn-container form-group">
      <button type="submit" class="btn btn-primary">Login</button>
    </div>
    <div *ngIf="serverError" class="alert alert-danger">
      {{ serverError }}
    </div>
  </form>
</div>
